%%%%%LIP eruption anaylsis%%%%

%In order to run these script you must also add the 'Cross wavelet and
%wavelet coherence' toolbox.

%Load the time series data of both the Foster (2017) CO2 record and 
%the erupting LIP area data from this publication.
load foster_co2_2017.txt
 
co2=foster_co2_2017(1:404,2)
co2_age=foster_co2_2017(1:404,1)
 
load LIP_continental_erupting_areas.txt
lips_erupting=LIP_continental_erupting_areas(1:404,2);

%resampling the Data so that the data can be analysed
co2_resample=resample(co2,co2_age,1);
co2_final=co2_resample(1:404);

%Detrending and Filtering step
lip_detrend=detrend(lips_erupting);
co2_detrend=detrend(co2_final);
[b,a] = butter(1,[0.01,0.18],'bandpass'); %lips filtering step

windowSize = 3;
b = (1/windowSize)*ones(1,windowSize);
a = 1;
lip_filt = filter(b,a,lip_detrend);

lip_filt = lip_filt(windowSize:end);
age_filt = co2_age(floor(windowSize/2)+1:end-floor(windowSize/2));

co2_filt = filter(b,a,co2_detrend);
co2_filt = co2_filt(windowSize:end);

%Creating the Cross-wavelet transorm
figure('color',[1 1 1])
xwt(lip_filt,co2_filt);
title('Comparison of LIP eruptions and CO2');
set(gca,'fontsize',18);
colormap('jet');
set(gca,'XDir','Reverse')
xlabel('Age (Ma)');
ylabel('Period (Myr)');


%%%%%LIP weathering anaylsis%%%%

%Load the time series data of both the Foster (2017) CO2 record and 
%the LIP area within the humid zone (10N to 10S) data from this publication. 
%Data for wider or narrower humid zones are also available in this supplement. 

load foster_co2_2017.txt
co2=foster_co2_2017(1:404,2)
co2_age=foster_co2_2017(1:404,1)
 
load LIP_area_10.txt
lips_erupting=LIP_area_10(1:404,2);

%resampling the Data so that the data can be analysed
co2_resample=resample(co2,co2_age,1);
co2_final=co2_resample(1:404);

%Detrending and Filtering step
lip_detrend=detrend(lips_erupting);
co2_detrend=detrend(co2_final);
[b,a] = butter(1,[0.01,0.18],'bandpass'); %lips filtering step

windowSize = 3;
b = (1/windowSize)*ones(1,windowSize);
a = 1;
lip_filt = filter(b,a,lip_detrend);

lip_filt = lip_filt(windowSize:end);
age_filt = co2_age(floor(windowSize/2)+1:end-floor(windowSize/2));

co2_filt = filter(b,a,co2_detrend);
co2_filt = co2_filt(windowSize:end);

%Creating the Cross-wavelet transorm
figure('color',[1 1 1])
xwt(lip_filt,co2_filt);
title('Comparison of LIP area and CO2 for weathering');
set(gca,'fontsize',18);
colormap('jet');
set(gca,'XDir','Reverse')
xlabel('Age (Ma)');
ylabel('Period (Myr)');

